
### Release notes

<!-- 
  What is the problem and solution you're proposing? 
  This content sets the overall vision for the feature and serves as the release notes that will populate in various places, including blogs. 
-->

### Problem to solve

<!-- 
  What problem do we solve? 
  Try to define the who/what/why of the opportunity as a user story. 
  For example, "As a (who), I want (what), so I can (why/value)." 
-->

### Intended users

<!-- 
  Who will use this feature? 
  If known, include any of the following: 
  types of users (e.g. Developer), personas, or specific company roles (e.g. Release Manager). 
  It's okay to write "Unknown" and fill this field in later.

  Personas are described at https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/

  * [Cameron (Compliance Manager)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#cameron-compliance-manager)
  * [Parker (Product Manager)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#parker-product-manager)
  * [Delaney (Development Team Lead)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#delaney-development-team-lead)
  * [Presley (Product Designer)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#presley-product-designer)
  * [Sasha (Software Developer)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#sasha-software-developer)
  * [Devon (DevOps Engineer)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#devon-devops-engineer)
  * [Sidney (Systems Administrator)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#sidney-systems-administrator)
  * [Sam (Security Analyst)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#sam-security-analyst)
  * [Rachel (Release Manager)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#rachel-release-manager)
  * [Alex (Security Operations Engineer)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#alex-security-operations-engineer)
  * [Simone (Software Engineer in Test)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#simone-software-engineer-in-test)
  * [Allison (Application Ops)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#allison-application-ops)
  * [Priyanka (Platform Engineer)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#priyanka-platform-engineer)
  * [Dana (Data Analyst)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#dana-data-analyst)
  * [Eddie (Content Editor)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#eddie-content-editor)
-->

### User experience goal

<!-- 
  What is the single user experience workflow this problem addresses?
  For example, "The user should be able to use the UI/API/.gitlab-ci.yml with GitLab to <perform a specific task>"
  https://about.gitlab.com/handbook/engineering/ux/ux-research-training/user-story-mapping/
-->


### Proposal

<!-- 
  How are we going to solve the problem?
  Try to include the user journey! 
  https://about.gitlab.com/handbook/journeys/#user-journey 
-->

### Further details

<!-- Include use cases, benefits, goals, or any other details that will help us understand the problem better. -->

### Permissions and Security

<!-- 
  What permissions are required to perform the described actions? 
  Are they consistent with the existing permissions as documented for users, groups, and projects as appropriate? 
  Is the proposed behavior consistent between the UI, API, and other access methods (e.g. email replies)?

  Consider adding checkboxes and expectations of users with certain levels of membership https://docs.gitlab.com/ee/user/permissions.html

  * [ ] Add expected impact to members with no access (0)
  * [ ] Add expected impact to Guest (10) members
  * [ ] Add expected impact to Reporter (20) members
  * [ ] Add expected impact to Developer (30) members
  * [ ] Add expected impact to Maintainer (40) members
  * [ ] Add expected impact to Owner (50) members 
-->

### Documentation

<!-- 
  See the Feature Change Documentation Workflow https://docs.gitlab.com/ee/development/documentation/workflow.html#for-a-product-change

  * Add all known Documentation Requirements in this section. 
    See https://docs.gitlab.com/ee/development/documentation/workflow.html
  * If this feature requires changing permissions, update the permissions document. 
    See https://docs.gitlab.com/ee/user/permissions.html 
-->

### Availability & Testing

<!-- 
  This section needs to be retained and filled in during the workflow planning breakdown phase of this feature proposal, if not earlier.

  What risks does this change pose to our availability? 
  How might it affect the quality of the product? 
  What additional test coverage or changes to tests will be needed? Will it require cross-browser testing?

  Please list the test areas (unit, integration and end-to-end) that needs to be added or updated to ensure that this feature will work as intended. 
  Please use the list below as guidance.

  * Unit test changes
  * Integration test changes
  * End-to-end test change
-->

### What does success look like, and how can we measure that?

<!--
  Define both the success metrics and acceptance criteria. 
  Note that success metrics indicate the desired business outcomes, while acceptance criteria indicate when the solution is working correctly. 
  If there is no way to measure success, link to an issue that will implement a way to measure this.
-->

### Links / references

<!-- 
  Label reminders - you should have one of each of the following labels.
  Use the following resources to find the appropriate labels:
  - https://gitlab.com/gitlab-org/gitlab/-/labels
  - https://about.gitlab.com/handbook/product/categories/features/
-->

/label Task: Proposal
/label Status: FIXME

## Credit
[GitLab Proposal Template](https://gitlab.com/gitlab-org/gitlab/-/blob/master/.gitlab/issue_templates/Feature%20proposal%20-%20detailed.md)
2022-02-13
