
[![MIT License](https://img.shields.io/github/license/peter201943/student-voice.svg?style=flat)](https://opensource.org/licenses/MIT)
[![License: CC BY 4.0](https://licensebuttons.net/l/by/4.0/80x15.png)](https://creativecommons.org/licenses/by/4.0/)
[![GitLab](https://img.shields.io/badge/gitlab-%23121011.svg?style=flat&logo=gitlab&logoColor=white&label=CourseEval)](https://gitlab.cci.drexel.edu/courseeval/team-blue)
[![Drexel](resources/drexel-logo.svg) cs.drexel.edu](https://www.cs.drexel.edu/)

# [![CourseEval](resources/title.png)](https://gitlab.cci.drexel.edu/courseeval/team-blue)
A student project to learn FOSS contributing practices.


## Archival Notice
This project has been *archived*.
The original instructional course for this project has completed and all involved team members have moved to other projects.
There are *no* active or primary maintainers for this project.


## Contents
- [Archival Notice](#archival-notice)
- [Contents](#contents)
- [About](#about)
- [Getting Started](#getting-started)
- [Roadmap](#roadmap)
- [Contributing](#contributing)
  - [Guidelines](#guidelines)
  - [Accepting Changes](#accepting-changes)
- [Licensing](#licensing)
- [Contact](#contact)
- [Acknowledgements](#acknowledgements)


## About
A Student Study Project to develop [Course Evaluation](https://en.wikipedia.org/wiki/Course_evaluation) platform prototypes and associated design documents.
By SE420 Open Source Engineering Team Blue for FA22Q2 "Winter" at [Drexel University](https://drexel.edu/).

See the latest discussion (on OneNote, please contact Peter for access) for more detailed information, including proposals.

If you have a security concern, please check the [`SECURITY`](SECURITY.md) for help.


## Getting Started
Please join us on [Discord](https://discord.gg/QKBxxSS9), we are largely focused on *discussing* and *documenting* steps as opposed to outright *programming*.

We currently do a lot of work in *Microsoft Word* and *Markdown*, so having a Microsoft account and a decent text editor is recommendable.

For code-related portions of the project, please consult the [`INSTALL`](INSTALL.md) and the [e-valuation GitHub](https://github.com/e-valuation/EvaP/) for how to run the software.


## Roadmap
No future progress planned, see [Archival Notice](#archival-notice).


## Contributing

### Guidelines
Please see [`CONTRIBUTING`](CONTRIBUTING.md) and [`CONDUCT`](CONDUCT.md) for specifics.

### Accepting Changes
This is a low-priority project and as such pull requests are not likely to be accepted.
You will be better served by forking it and continuing development of it on your own.


## Licensing
Code is distributed under the MIT license. Documentation is distributed under the CC-BY license. See [`LICENSE`](LICENSE.md) for more information.  
![](resources/cc-by-logo.png)


## Contact

### CourseEval
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=SE420%2FFA22Q2)](https://discord.gg/QKBxxSS9)  
[![GitLab](https://img.shields.io/badge/gitlab-%23121011.svg?style=flat&logo=gitlab&logoColor=white&label=CourseEval)](https://gitlab.cci.drexel.edu/courseeval/team-blue)  
[![GitHub](https://img.shields.io/badge/github-%23121011.svg?style=flat&logo=github&logoColor=white&label=Mirror)](https://github.com/peter201943/student-voice)  

### Peter James Mangelsdorf
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=peter201943%238017)](https://discord.com/users/312363766954065930)  
[![Outlook](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=peter.j.mangelsdorf)](mailto:peter.j.mangelsdorf@outlook.com)  
[![GitHub](https://img.shields.io/badge/github-%23121011.svg?style=flat&logo=github&logoColor=white&label=peter201943)](https://github.com/peter201943/)  
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=pjm349@drexel.edu)](mailto:pjm349@drexel.edu)  

### Hoang Nguyen
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=Mizores%230500)](https://discord.com/users/131543410627575808)  
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=hn374@drexel.edu)](mailto:hn374@drexel.edu)  

### Jay Patel
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=Jay%20Patel%232866)](https://discord.com/users/892071574948184124)  
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=jp3592@drexel.edu)](mailto:jp3592@drexel.edu)  

### Charles Porter
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=scooterjenkins%234332)](https://discord.com/users/555963456445218826)  
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=cap399@drexel.edu)](mailto:cap399@drexel.edu)  

### Eric Savoy
[![Discord](https://img.shields.io/badge/%3CServer%3E-%237289DA.svg?style=flat&logo=discord&logoColor=white&label=Eric%20Savoy%234687)](https://discord.com/users/751931130780975205)  
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=ets43@drexel.edu)](mailto:ets43@drexel.edu)  

### Greg Hislop (Course Instructor)
[![Drexel](https://img.shields.io/badge/Microsoft_Outlook-0078D4?style=flat&logo=microsoft-outlook&logoColor=white&label=hislopg@drexel.edu)](mailto:hislopg@drexel.edu)  


## Acknowledgements
See [`CREDITS.md`](CREDITS.md) for a complete list of external resources.


